// intelaide-frontend/vite.config.js
import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

export default defineConfig({
  base: process.env.NODE_ENV === 'production' ? '/' : '/dev/',
  plugins: [react()],
  server: {
    port: 3000,
    host: '127.0.0.1',
    allowedHosts: ['127.0.0.1', 'www.intelaide.ai'],
  },
})

